Package org.apache.ignite.internal.management.performancestatistics

## Class PerformanceStatisticsRotateCommand

- java.lang.Object
- - org.apache.ignite.internal.management.performancestatistics.PerformanceStatisticsRotateCommand

All Implemented Interfaces:
  `Command<IgniteDataTransferObject,​String>`, `ComputeCommand<IgniteDataTransferObject,​String>`

    public class PerformanceStatisticsRotateCommand
    extends Object
    implements ComputeCommand<IgniteDataTransferObject,​String>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`PerformanceStatisticsRotateCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<PerformanceStatisticsCommand.PerformanceStatisticsRotateCommandArg>` `argClass()`
`String` `description()` Command description.
`void` `printResult​(IgniteDataTransferObject arg, String res, Consumer<String> printer)` Prints command result to the user.
`Class<PerformanceStatisticsTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes`

### Constructor Detail

#### PerformanceStatisticsRotateCommand

    public PerformanceStatisticsRotateCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<IgniteDataTransferObject,​String>`

#### argClass

    public Class<PerformanceStatisticsCommand.PerformanceStatisticsRotateCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<IgniteDataTransferObject,​String>`
Returns:
  Arguments class.

#### taskClass

    public Class<PerformanceStatisticsTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<IgniteDataTransferObject,​String>`
Returns:
  Task class.

#### printResult

    public void printResult​(IgniteDataTransferObject arg,
                            String res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<IgniteDataTransferObject,​String>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.